VM_MAP_CREATE(9)

NAME
vm_map_create - create a new vm_map structure

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
vm_map_t
vm_map_create(pmap_t pmap, vm_offset_t min, vm_offset_t max);

DESCRIPTION
The vm_map_create() function creates and returns a new, empty map structure, associated with the physical map pmap, and with the upper and lower address bounds specified by max and min respectively.

IMPLEMENTATION NOTES
The kernel's zone allocator is used to allocate the map.

RETURN VALUES
The vm_map_create() function returns a pointer to the newly allocated map if successful. Otherwise, it returns NULL.

SEE ALSO
pmap(9), vm_map(9), vm_map_init(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.